add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kiten (executable)

tde_add_executable( kiten AUTOMOC

  SOURCES
        configsearching.ui
        configlearn.ui
        configfont.ui
        configdictionariesbase.ui
        main.cpp
        kiten.cpp
        learn.cpp
        kloader.cpp
        ksaver.cpp
        configdictionaries.cpp
        optiondialog.cpp
        kitenconfig.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     kiten-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### kitengen (executable)

tde_add_executable( kitengen

  SOURCES
        xjdxgen.c
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### kiten (shared)

tde_add_library( kiten SHARED AUTOMOC

  SOURCES
        kitenconfig.kcfgc
        asyndeta.cpp
        dict.cpp
        widgets.cpp
        kromajiedit.cpp
        rad.cpp
        deinf.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeprint-shared
     
  VERSION 1.0.0

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES edict kanjidic radkfile vconj romkana.cnv
    DESTINATION ${DATA_INSTALL_DIR}/kiten
)

install(
    FILES kitenui.rc learnui.rc eeditui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kiten
)

tde_create_translated_desktop( kiten.desktop )

install(
    FILES kiten.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

install(
    FILES asyndeta.h dict.h widgets.h kromajiedit.h rad.h deinf.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/libkiten
)
